"""
Django settings for ruh70 project.

Generated by 'django-admin startproject' using Django 3.1.4.

For more information on this file, see
https://docs.djangoproject.com/en/3.1/topics/settings/

For the full list of settings and their values, see
https://docs.djangoproject.com/en/3.1/ref/settings/
"""

from pathlib import Path
import os

# Build paths inside the project like this: BASE_DIR / 'subdir'.
BASE_DIR = Path(__file__).resolve().parent.parent


# Quick-start development settings - unsuitable for production
# See https://docs.djangoproject.com/en/3.1/howto/deployment/checklist/

# SECURITY WARNING: keep the secret key used in production secret!
SECRET_KEY = '4kfg(okgzc@8-dbnl4k5pp54%4j^#ey^vbq8yhgbi)uq47=0)$'

# SECURITY WARNING: don't run with debug turned on in production!
DEBUG = True

ALLOWED_HOSTS = ['*']

DEFAULT_AUTO_FIELD = 'django.db.models.AutoField'

# Application definition

INSTALLED_APPS = [
    'django.contrib.admin',
    'django.contrib.auth',
    'django.contrib.contenttypes',
    'django.contrib.sessions',
    'django.contrib.messages',
    'django.contrib.staticfiles',
    # own apps
    'principal.apps.PrincipalConfig',
    'inversiones.apps.InversionesConfig',
    'noticias.apps.NoticiasConfig',
    'contactanos.apps.ContactanosConfig',
    'tienda.apps.TiendaConfig',
    'carro_de_compras.apps.CarroDeComprasConfig',
    'accounts.apps.AccountsConfig',
]

MIDDLEWARE = [
    'django.middleware.security.SecurityMiddleware',
    'django.contrib.sessions.middleware.SessionMiddleware',
    'django.middleware.common.CommonMiddleware',
    'django.middleware.csrf.CsrfViewMiddleware',
    'django.contrib.auth.middleware.AuthenticationMiddleware',
    'django.contrib.messages.middleware.MessageMiddleware',
    'django.middleware.clickjacking.XFrameOptionsMiddleware',

]

ROOT_URLCONF = 'ruh70.urls'

TEMPLATES = [
    {
        'BACKEND': 'django.template.backends.django.DjangoTemplates',
         'DIRS': [os.path.join(BASE_DIR,'ruh70/templates') ],
        #['/home/esteban/Documents/ProyectosDjango/ruh70/ruh70/templates/principal',
        #          '/home/esteban/Documents/ProyectosDjango/ruh70/ruh70/templates',
        #          '/home/esteban/Documents/ProyectosDjango/ruh70/inversiones/templates',
        #          '/home/esteban/Documents/ProyectosDjango/ruh70/noticias/templates',
        #          '/home/esteban/Documents/ProyectosDjango/ruh70/contactanos/templates/contactanos',
        #          '/home/esteban/Documents/ProyectosDjango/ruh70/tienda/templates/tienda',
        #          '/home/esteban/Documents/ProyectosDjango/ruh70/accounts/templates'
        #],
        'APP_DIRS': True,
        'OPTIONS': {
            'context_processors': [
                'django.template.context_processors.debug',
                'django.template.context_processors.request',
                'django.contrib.auth.context_processors.auth',
                'django.contrib.messages.context_processors.messages',
                # variables globales propias
                'carro_de_compras.context_processor.importe_total_carro'
            ],
        },
    },
]

WSGI_APPLICATION = 'ruh70.wsgi.application'


# Database
# https://docs.djangoproject.com/en/3.1/ref/settings/#databases

DATABASES = {
    'default': {
        'ENGINE': 'django.db.backends.sqlite3',
        'NAME': BASE_DIR / 'db.sqlite3',
    }
}


# Password validation
# https://docs.djangoproject.com/en/3.1/ref/settings/#auth-password-validators

AUTH_PASSWORD_VALIDATORS = [
    {
        'NAME': 'django.contrib.auth.password_validation.UserAttributeSimilarityValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.MinimumLengthValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.CommonPasswordValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.NumericPasswordValidator',
    },
]


# Internationalization
# https://docs.djangoproject.com/en/3.1/topics/i18n/

LANGUAGE_CODE = 'es-lat'#'en-us'

TIME_ZONE = 'UTC'

USE_I18N = True

USE_L10N = True

USE_TZ = True


# Static files (CSS, JavaScript, Images)
# https://docs.djangoproject.com/en/3.1/howto/static-files/

STATIC_URL = '/static/'  # direccion de los archivos estaticos de diseño grafico de bootstrap
STATIC_ROOT = os.path.join(BASE_DIR, 'static')
STATICFILES_DIRS = (os.path.join(BASE_DIR, 'ruh70/static/'),)

# STATIC_ROOT  =   os.path.join(PROJECT_ROOT, 'static')
# print(STATIC_ROOT)
MEDIA_URL = '/media/'

MEDIA_ROOT = os.path.join(BASE_DIR, 'media')


# ----------CONFIGURACION DE EMAIL PARA DJANGO DE ACUERDO A -------------------
# https://djangodeployment.readthedocs.io/en/latest/07-settings.html

EMAIL_BACKEND = "django.core.mail.backends.smtp.EmailBackend"
SERVER_EMAIL = 'comercial.textamper@gmail.com' # el email desde donde provienen mensajes o errores,
                                           # usualmente 'noreply@$DOMAIN'
DEFAULT_FROM_EMAIL = 'comercial.textamper@gmail.com' # el correo por defecto desde donde se enviarán emails, si
                                    # no hay otro correo especificado para el caso.
ADMINS = [
    ('Esteban Franco Bedoya', 'estebanfrancobedoya@gmail.com'),
] # list of people to whom  error messages will be sent. you can add more people as a tuples
MANAGERS = ADMINS

# The settings starting with EMAIL_ describe how Django will connect and authenticate
# to the mail server.
EMAIL_HOST = "smtp.gmail.com" # Django will connect to EMAIL_HOST
EMAIL_HOST_USER = 'segovro@gmail.com' # and authenticate using EMAIL_HOST_USER and
EMAIL_HOST_PASSWORD = "1949@RogSEG" # using EMAIL_HOST_PASSWORD
EMAIL_PORT = 587
EMAIL_USE_TLS = True # Should be use with por 587